curl --request PATCH \
--url https://managexrapi.com/v1/apps/{packageName}/release-channels/{releaseChannelId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Stable"
}
'{
"data": {
"id": "rc_123",
"name": "Stable",
"type": "app",
"packageName": "com.example.app",
"targetVersion": {
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"selfHosted": false
},
"sharedOrganizations": [
{
"id": "org_789",
"name": "Example Org"
}
]
}
}{
"statusCode": 400,
"message": "Release channel with id rc_123 does not match the provided package name com.example.app",
"error": "ManageXR Error"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Release channel with id rc_123 not found",
"error": "ManageXR Error"
}App Versions & Release Channels
Edit Release Channel
Update the target app version or name of an existing app release channel
PATCH
/
v1
/
apps
/
{packageName}
/
release-channels
/
{releaseChannelId}
curl --request PATCH \
--url https://managexrapi.com/v1/apps/{packageName}/release-channels/{releaseChannelId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Stable"
}
'{
"data": {
"id": "rc_123",
"name": "Stable",
"type": "app",
"packageName": "com.example.app",
"targetVersion": {
"id": "av_123",
"type": "managed",
"configurationDeployments": {
"config_123": 1,
"config_456": 0
},
"createdAt": 1645615777448,
"updatedAt": 1687352117203,
"versionCode": 83894522,
"versionName": "8.7.8.1206",
"selfHosted": false
},
"sharedOrganizations": [
{
"id": "org_789",
"name": "Example Org"
}
]
}
}{
"statusCode": 400,
"message": "Release channel with id rc_123 does not match the provided package name com.example.app",
"error": "ManageXR Error"
}{
"statusCode": 403,
"message": "Forbidden",
"error": "ManageXR Error"
}{
"statusCode": 404,
"message": "Release channel with id rc_123 not found",
"error": "ManageXR Error"
}Authorizations
API key based authentication where is the Base64 encoding of API_KEY_ID:API_KEY_SECRET
- Username: The API Key ID.
- Password: The API Key Secret.
Path Parameters
The package name of the app
The unique identifier of the release channel
Query Parameters
Unique identifier of the organization. This parameter is only necessary when using multi-organization API keys.
Defaults to the organizationId associated with the API key.
Body
application/json
Response
The updated release channel
Show child attributes
Show child attributes